%define name	fastr
%define version	2.04
%define release	3mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A tool for automatic indexing
Source0:	http://www.limsi.fr/Individu/jacquemi/FASTR/%{name}-%{version}.tar.bz2
URL:		http://www.limsi.fr/Individu/jacquemi/FASTR/
License:	GPL
Group:		Sciences/Computer science
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Fastr is a parser for term and variant recognition. Fastr take as input a
corpus and a list of terms and ouputs the indexed corpus in which terms and
variants are recognized. 

Fastr can be used in two modes: 
- controlled indexing: input consists of a corpus and a list of terms, 
- free indexing: input only consists of a corpus, the list of terms is
  automatically acquired from the corpus. 

Fastr uses the following resources: 
- the corpus and the list of terms are tagged by the TreeTagger:
 http://www.ims.uni-stuttgart.de/Tools/DecisionTreeTagger.html 
- if available, a list of morphological families and a list of semantic links
  are used to calculate morphological and semantic variation. See sample files
  - /usr/share/fastr/der-families-xx 
  - /usr/share/fastr/sem-classes-xx or ./lib/sem-links-xx 
 for the format (xx is the name of the language [en|fr]). 
 Perl modules are provided in order to generate these data from WordNet and
 CELEXfor the English language. 

The formalism of Fastr is close to PATR-II.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README TODO doc/en/*.html
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%changelog
* Wed Jun 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.04-3mdk 
- updated release
- rpmbuilupdate aware

* Mon Jan 26 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.04-2mdk
- updated release

* Fri Jan 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.04-1mdk
- new version

* Fri Jan 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.03-2mdk
- fix paths in description (Thierry Vignaud <tvignaud@mandrakesoft.com>)

* Sat Jan 10 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.03-1mdk
- first mdk release
